Summary: Fetion protocol library powered by ofetion project
Name: libofetion
Version: 2.2.2
Release: %mkrel 7
Group: Networking/Instant messaging
License: GPLv2+
URL: http://code.google.com/p/ofetion/
Source0: http://ofetion.googlecode.com/files/%{name}-%{version}.tar.gz
BuildRequires: openssl-devel
BuildRequires: sqlite3-devel
BuildRequires: libxml2-devel
BuildRequires: cmake
Conflicts: openfetion < 2.1.0

%description
OpenFetion is a IM client based on GTK+2.0, using CHINA MOBILE's Fetion
Protocol Version 4.

%files
%{_datadir}/libofetion1

#---------------------------------------------------------------
%define major 1
%define libname %mklibname ofetion %major

%package -n %libname
Summary: Fetion protocol library powered by ofetion project
Group: Networking/Instant messaging
Requires: %name = %{version}

%description -n %libname
OpenFetion is a IM client based on GTK+2.0, using CHINA MOBILE's Fetion
Protocol Version 4.

%files -n %libname
%{_libdir}/libofetion.so.%{major}
%{_libdir}/libofetion.so.%{major}.*

#---------------------------------------------------------------
%define develname %mklibname -d ofetion

%package -n %develname
Summary: Fetion protocol library powered by ofetion project
Group: Development/C
Requires: %{libname} = %{version}
Provides: %{name}-devel = %{version}-%{release}

%description -n %develname
OpenFetion is a IM client based on GTK+2.0, using CHINA MOBILE's Fetion
Protocol Version 4.

%files -n %develname
%{_includedir}/*
%{_libdir}/libofetion.so
%{_libdir}/libofetion.a
%{_libdir}/pkgconfig/*.pc

#---------------------------------------------------------------

%prep
%setup -q

%build
%cmake
%make

%install
%makeinstall_std -C build



%changelog
* Wed Mar 02 2016 umeabot <umeabot> 2.2.2-7.mga6
+ Revision: 983602
- Rebuild for openssl

* Mon Feb 08 2016 umeabot <umeabot> 2.2.2-6.mga6
+ Revision: 944066
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 2.2.2-5.mga5
+ Revision: 745494
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.2.2-4.mga5
+ Revision: 681671
- Mageia 5 Mass Rebuild

* Sun Jul 06 2014 ovitters <ovitters> 2.2.2-3.mga5
+ Revision: 647257
+ rebuild (emptylog)

* Fri Oct 18 2013 umeabot <umeabot> 2.2.2-3.mga4
+ Revision: 507183
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 2.2.2-2.mga3
+ Revision: 357902
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Jan 02 2012 fwang <fwang> 2.2.2-1.mga2
+ Revision: 189558
- new version 2.2.2

* Sun Jul 10 2011 fwang <fwang> 2.2.0-1.mga2
+ Revision: 121801
- new version 2.2.0
- imported package libofetion


* Sun Dec 26 2010 Funda Wang <fwang@mandriva.org> 2.1.0-1mdv2011.0
+ Revision: 625215
- import libofetion

